import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  ExportEarthObservationJobInput,
  ExportEarthObservationJobOutput,
} from "../models/models_0";
import {
  SageMakerGeospatialClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../SageMakerGeospatialClient";
export { __MetadataBearer };
export { $Command };
export interface ExportEarthObservationJobCommandInput
  extends ExportEarthObservationJobInput {}
export interface ExportEarthObservationJobCommandOutput
  extends ExportEarthObservationJobOutput,
    __MetadataBearer {}
declare const ExportEarthObservationJobCommand_base: {
  new (
    input: ExportEarthObservationJobCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ExportEarthObservationJobCommandInput,
    ExportEarthObservationJobCommandOutput,
    SageMakerGeospatialClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: ExportEarthObservationJobCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ExportEarthObservationJobCommandInput,
    ExportEarthObservationJobCommandOutput,
    SageMakerGeospatialClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ExportEarthObservationJobCommand extends ExportEarthObservationJobCommand_base {
  protected static __types: {
    api: {
      input: ExportEarthObservationJobInput;
      output: ExportEarthObservationJobOutput;
    };
    sdk: {
      input: ExportEarthObservationJobCommandInput;
      output: ExportEarthObservationJobCommandOutput;
    };
  };
}
