import { Command as $Command } from "@smithy/smithy-client";
import {
  MetadataBearer as __MetadataBearer,
  StreamingBlobPayloadOutputTypes,
} from "@smithy/types";
import { GetTileInput, GetTileOutput } from "../models/models_0";
import {
  SageMakerGeospatialClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../SageMakerGeospatialClient";
export { __MetadataBearer };
export { $Command };
export interface GetTileCommandInput extends GetTileInput {}
export interface GetTileCommandOutput
  extends Pick<GetTileOutput, Exclude<keyof GetTileOutput, "BinaryFile">>,
    __MetadataBearer {
  BinaryFile?: StreamingBlobPayloadOutputTypes;
}
declare const GetTileCommand_base: {
  new (input: GetTileCommandInput): import("@smithy/smithy-client").CommandImpl<
    GetTileCommandInput,
    GetTileCommandOutput,
    SageMakerGeospatialClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (__0_0: GetTileCommandInput): import("@smithy/smithy-client").CommandImpl<
    GetTileCommandInput,
    GetTileCommandOutput,
    SageMakerGeospatialClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class GetTileCommand extends GetTileCommand_base {
  protected static __types: {
    api: {
      input: GetTileInput;
      output: GetTileOutput;
    };
    sdk: {
      input: GetTileCommandInput;
      output: GetTileCommandOutput;
    };
  };
}
